$(".data").on('click', function () {
        var id = $(this).attr('data-id');
        var date = $(this).attr('data-em');
        $.post('showController.php?do=change', {id:id,date:date}, function (data) {
            if (data = 1 ) {
                if (date == 1) {
                    $('#plusitemp'+id).html(
                        '<a class="btn blue btn-xs data" data-id="'+id+'" data-em="0" style="color: red"></i>تفعيل</a>'
                    );
                } else {
                    $('#plusitemp'+id).html(
                        '<a class="btn red btn-xs data" data-id="'+id+'" data-em="1" style="color: blue"></i>تعطيل</a>'
                    );
                }
            }
        });
    });


//select2client
$(".select2client").select2({
    placeholder: "إسم العميل",
    ajax: {
        url: "elemamajax.php",
        dataType: 'json',
        data: function (term, page) {
            return {
                term: term, //search term
            };
        },
        results: function (data) {

            return {results: data};
        }
    },
    formatResult:formatResult = function (data) {
        return  data.text;
    }
});


//select2product
$(".select2product").select2({
    placeholder: "إسم المنتج1",
    minimumInputLength: 0,
    multiple: false,
// quietMillis: 100,
    ajax: {
        url: "sellbillAjaxController.php?do=getProducts",
        dataType: 'json',
        data: function (term, page) {
//alert("sellbillAjaxController.php?do=getProducts&term="+term+"&page_limit=10&storeid="+document.getElementById("storeid").value);
            return {
                term: term, //search term
                page_limit: 10, // page size,
                storeid: 1,
// storeid: document.getElementById("prstorid1").value,
                hiddenpricetype: 1

            };
        },
        results: function (data) {

            return {results: data};
        }
    },
    formatResult:formatResult =   function (data) {

        return  data.text + '<span  style="float: left;  width: 30%;">' + data.productquantity+ '<span  style="  float: left;  width: 30%;">' + data.price +'<span style="display: none">'+ data.id+ data.logo+'</span>';


    }
});
$('#images').click(function () {
    $('#logo').show(3000);

    });
// select2product
$(".select2product").on('change',function () {
    var prostore= $(".select2product").select2('data').productquantity;
    var price =$(".select2product").select2('data').price;
    var logo =$(".select2product").select2('data').logo;
    $('#prostore1').val(prostore);
    $('#price1').val(price);
     document.getElementById("logo").src=logo;
    $('.quantity').trigger();

});
// $(document).on('change',".selproduct",function () {
//     var itr =$(this).attr('data-itr');
//     var storeQuantity= $(".select2product"+itr).select2('data').productquantity;
//     var ProductId= $(".select2product"+itr).select2('data').id;
//
//
//     var allquant = 0 ;
//     $('.selproduct').each(function () {
//         var inputval=$(this).val()
//         // var quant =$(".quant").val()
//
//         if (ProductId == inputval){
//             allquant += Number(storeQuantity);
//
//         }
//
//     });
//
// // if (allquant > )
// });
//


//add new
$('#addpr').on('click', function () {
    var itr = $('#itr').val();
    itr++;
    $('#pro').append(' <tr>\n' +
        '<td style="width: 40px">'+
        '<input class="btn btn-primary"style="width: 30px"  id="images">'+
        '</td>'+
        '                            <td class="productdiv' + itr + '">\n' +
        '                                <input type="hidden" id="product' + itr + '" name="product' + itr + '" class="select2product' + itr + ' wdt100 select2-offscreen selproduct"  data-itr="' + itr + '" data-placeholder="اختر منتج" tabindex="-1" style="display: inline-block;">\n' +
        '                            </td>\n' +
        '                            <td class="quantity' + itr + '">\n' +
        '                                <input type="text" name="quantity' + itr +'" id="quantity' + itr +'" class="form-control  positivefloat quantity quant quantstore"  value="1"  data-itr="' + itr + '">\n' +
        '                            </td>\n' +
        '                            <td class="prostore' + itr + '">\n' +
        '                                <input type="text" name="prostore' + itr + '" id="prostore' + itr + '" class="form-control  positivefloat quantity prostore quantstore"  value="1"  data-itr="' + itr + '">\n' +
        '                            </td>\n' +
        '                            <td class="proavailable' + itr + '">\n' +
        '                                <input type="text" name="proavailable' + itr + '" id="proavailable' + itr + '" class="form-control  positivefloat quantity proavailable"  value="1"  data-itr="' + itr + '">\n' +
        '                            </td>\n' +
        '                            <td class="prominus' + itr + '">\n' +
        '                                <input type="text" name="prominus' + itr + '" id="prominus' + itr + '" class="form-control  positivefloat quantity prominus "  value="0"  data-itr="' + itr + '">\n' +
        '                            </td>\n' +
        '                            <td  class="price' + itr + '">\n' +
        '                                <input type="text" name="price' + itr + '" id="price' + itr + '" class="form-control  positivefloat quantity price " value="0"  data-itr="' + itr + '">\n' +
        '                            </td>\n' +
        '                            <td class="total' + itr + '">\n' +
        '                                <input name="total' + itr + '" id="total' + itr + '" class="form-control  positiveNo quantity total  " value="0" type="text" data-itr="' + itr + '">\n' +
        '                            </td>\n' +
        '                            <td class="remove' + itr + '">\n' +
        '                                <button id="remove' + itr + '" type="button" class="close flt-none  remove" aria-hidden="true">×</button>\n' +
        '                            </td>\n' +
        '                        </tr>');
//select2product + itr
    $(".select2product"+ itr).select2({
        placeholder: "إسم المنتج1",
        minimumInputLength: 0,
        multiple: false,
        // quietMillis: 100,
        ajax: {
            url: "sellbillAjaxController.php?do=getProducts",
            dataType: 'json',
            data: function (term, page) {
                return {
                    term: term, //search term
                    page_limit: 10, // page size,
                    storeid: 1,
                    // storeid: document.getElementById("prstorid1").value,
                    hiddenpricetype: 1

                };
            },
            results: function (data) {

                return {results: data};
            }
        },
        formatResult:formatResult = function (data) {
            return  data.text + '<span  style="float: left;  width: 30%;">' + data.productquantity+ '<span  style="  float: left;  width: 30%;">' + data.price;
            $('.quantity').keyup();
        }

    });
// select2product
    $(".select2product"+ itr).on('change',function () {
        var prostore= $(".select2product"+ itr).select2('data').productquantity;
        var price =$(".select2product"+ itr).select2('data').price;

        $('#prostore'+ itr).val(prostore);
        $('#price'+ itr).val(price);
        $('.quantity').keyup();



    });
    //
    // $(document).on('change',".selproduct",function () {
    //     var storeQuantity= $(".select2product"+ itr).select2('data').productquantity;
    //     var ProductId= $(".select2product"+ itr).select2('data').id;
    //
    //
    //     var allquant = 0 ;
    //     $('.selproduct').each(function () {
    //
    //         var inputval=$(this).val()
    //         if (ProductId == inputval){
    //             allquant += Number(storeQuantity);
    //
    //         }
    //
    //     });
    //     alert(allquant);
    // });


    $('#itr').val(itr)

});


//remove add
$(document).on('click', '.remove', function () {
    $(this).parent().parent().remove();
});


//quantity
$(document).on('keyup', '.quantity', function () {
    var itr =$(this).attr('data-itr');
    var quantit=$('#quantity'+itr).val();
    var prostor=$('#prostore'+itr).val();
    if (prostor >=  quantit){
        $('#proavailable'+itr).val(quantit);
        $('#prominus'+itr).val(0);
    }else {
        var promin = quantit -  prostor ;
        $('#prominus'+itr).val(promin);
        $('#proavailable'+itr).val(prostor);
    }
    var quant=0;
    $('.quant').each(function () {
        var itr =$(this).attr('data-itr');
        var price=$('#price'+itr).val();

        var inputval=$(this).val()
        if($.isNumeric(inputval));
        quant += Number(inputval);
        var quantprice =inputval * price;
        $('#total'+itr).val(quantprice);

    });
    $('.allquantity').text(quant);
    $('.allquantity').val(quant);





    var storeprice=0;
    var prostore=0;
    $('.prostore').each(function () {
        var itr =$(this).attr('data-itr');
        var price=$('#price'+itr).val();
        var inputval=$(this).val();
        if($.isNumeric(inputval));
        prostore += Number(inputval);
        storeprice += inputval * price;
    });
    $('.allquantstore').text(prostore);
    $('.pricestore').text(storeprice);
    $('.allquantstore').val(prostore);
    $('.pricest').val(storeprice);







    var availableprice=0;
    var proavailable=0;
    $('.proavailable').each(function () {
        var itr =$(this).attr('data-itr');
        var price=$('#price'+itr).val();
        var inputval=$(this).val();
        if($.isNumeric(inputval));
        proavailable += Number(inputval);
        availableprice += inputval  * price;
    });
    $('.allquantavailable').text(proavailable);
    $('.priceavailable').text(availableprice);
    $('.allquantavailable').val(proavailable);
    $('.priceavailable').val(availableprice);




    var minusprice=0;
    var prominus=0;
    $('.prominus').each(function () {
        var itr =$(this).attr('data-itr');
        var price=$('#price'+itr).val();
        var inputval=$(this).val();
        if($.isNumeric(inputval));
        prominus += Number(inputval);
        minusprice += inputval * price;
    });
    $('.allquantminus').text(prominus);
    $('.pricestminus').text(minusprice);
    $('.allquantminus').val(prominus);
    $('.pricestminus').val(minusprice);

    var total=0;
    $('.total').each(function () {
        var inputval=$(this).val();
        if($.isNumeric(inputval));
        total += Number(inputval);
    });
    $('.total').text(total);
    $('.totall').val(total);



});


// //
// //
// // //total = price * quantity
// $(document).on('keyup', '.quant', function () {
//     var itr =$(this).attr('data-itr');
//     var quantit=$('#quantity'+itr).val();
//     var prostor=$('#prostore'+itr).val();
//     if (prostor >=  quantit){
//         $('#proavailable'+itr).val(quantit);
//         $('#prominus'+itr).val(0);
//     }else {
//         var promin = quantit -  prostor ;
//         $('#prominus'+itr).val(promin);
//         $('#proavailable'+itr).val(prostor);
//     }
// });

//
// //totals
// $(document).on('keyup', '.totals', function () {
//     var totalsum=0;
//     $('.totals').each(function () {
//         var inputval=$(this).val();
//         if($.isNumeric(inputval));
//         totalsum += Number(inputval);
//     });
//     $('.totals').text(totalsum);
//
// });
//
//
//
// //rest of the bill
// $(document).on('keyup', '#genpay', function () {
//     var totals =$('.totals').val();
//     var totalsum=0;
//     $('#genpay').each(function () {
//         var inputval=$(this).val();
//         if($.isNumeric(inputval));
//         totalsum = Number(inputval) -  totals ;
//     });
//     $('.rest').text(totalsum);
//
// });

    // $(".data").on('click', function () {
    //     var id = $(this).attr('data-id');
    //     var date = $(this).attr('data-em');
    //     $.post('showController.php?do=changeactive', {id:id,date:date}, function (data) {
    //         if (data == 1 ) {
    //             if (date == 1) {
    //                 $('#plusitemp'+id).html('<td>' +
    //                     '<div>' +
    //                     '<a class="btn red btn-xs data" data-id="'+id+'" data-em="0" ></i>تعطيل</a>' +
    //                     '</div>' +
    //                     '</td>');
    //             } else {
    //                 $('#plusitemp'+id).html('<td>' +
    //                     '<div>' +
    //                     '<a class="btn blue btn-xs data" data-id="'+id+'" data-em="1"></i>تفعيل</a>' +
    //                     '</div>' +
    //                     '</td>');
    //             }
    //         }
    //     });
    // });
